# Method: customers.customBiddingAlgorithms.delete

- [HTTP request](https://developers.google.com/ads-data-hub/reference/rest/v1/customers.customBiddingAlgorithms/delete#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/ads-data-hub/reference/rest/v1/customers.customBiddingAlgorithms/delete#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/ads-data-hub/reference/rest/v1/customers.customBiddingAlgorithms/delete#body.request_body)
- [Response body](https://developers.google.com/ads-data-hub/reference/rest/v1/customers.customBiddingAlgorithms/delete#body.response_body)
- [Authorization scopes](https://developers.google.com/ads-data-hub/reference/rest/v1/customers.customBiddingAlgorithms/delete#body.aspect)

Delete this custom bidding algorithm. Note that this cannot be undone. Deleted custom bidding algorithms cannot be executed.

### HTTP request

`DELETE https://adsdatahub.googleapis.com/v1/{name=customers/*/customBiddingAlgorithms/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. Full resource name of a custom bidding algorithm, e.g. 'customers/123/customBiddingAlgorithms/12345678. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/ads-data-hub/reference/rest/v1/customers.customBiddingAlgorithms#CustomBiddingAlgorithm`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/adsdatahub`